#
#  FILE NAME:
#      http.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#


class HttpResponse( object ):
    class status_codes:
        ok        = 200
        redirect  = 302
        forbidden = 403

    def __init__( self ):
        self._status_code = self.status_codes.ok
        ## \note Cookies are expected to be Cookie.Morsel like objects.
        self.cookies = []


    # ===[ Properties ]========================================================================== #

    def status_code():
        def fget( self ):
            return self._status_code
        def fset( self, code ):
            assert code in (self.status_codes.ok, self.status_codes.forbidden,
                            self.status_codes.redirect)
        return locals()
    status_code = property( **status_code() )
