#
#  FILE NAME:
#      conversion_result.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#


class ConversionResult( object ):
    ## \param cnv_cls class of converter which performed the conversion (it can be used to get
    #      proper errors Enum object.
    def __init__( self, in_val, cnv_cls ):
        self.in_val  = in_val
        self.out_val = None
        self.errors  = []
        self.cnv_cls = cnv_cls
